Runtime

## org.eclipse.gmf.runtime.notation
Interface DiagramStyle

All Superinterfaces:
  DescriptionStyle, org.eclipse.emf.ecore.EObject, GuideStyle, org.eclipse.emf.common.notify.Notifier, PageStyle, Style

All Known Subinterfaces:
  StandardDiagram

All Known Implementing Classes:
  DiagramStyleImpl, StandardDiagramImpl

    public interface DiagramStyle

extends PageStyle, GuideStyle, DescriptionStyle

A representation of the model object 'Diagram Style'.

See Also:
  `NotationPackage.getDiagramStyle()`
** Generated **
Model:

Method Summary

Methods inherited from interface org.eclipse.gmf.runtime.notation.PageStyle
`getPageHeight, getPageWidth, getPageX, getPageY, setPageHeight, setPageWidth, setPageX, setPageY`

Methods inherited from interface org.eclipse.gmf.runtime.notation.GuideStyle
`getHorizontalGuides, getVerticalGuides`

Methods inherited from interface org.eclipse.gmf.runtime.notation.DescriptionStyle
`getDescription, setDescription`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.